Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Ruby > LoadError: no such file to load -- tk

Reply
Thread Tools

LoadError: no such file to load -- tk

 
 
Hidetoshi NAGAI
Guest
Posts: n/a
 
      07-23-2010
From: Rich Leblanc <(E-Mail Removed)>
Subject: Re: LoadError: no such file to load -- tk
Date: Fri, 23 Jul 2010 12:36:07 +0900
Message-ID: <(E-Mail Removed)>
> > I need the messages at ext/tk step of "make".

>
> Here's all the output from the terminal:


Ah, I'm sorry. It may be ambiguous.

During compiling *Ruby*, make-process creates each library under
<ruby-source>/ext directory (ext/tk is one of them).
Then, the process calls "miniruby extconf.rb".

<ruby-source>/ext/tk/extconf.rb search Tcl/Tk libraries.
And then, it outputs messages about search steps.
I need the messages.
It gives me hints about why cannot find available libraries.
--
Hidetoshi NAGAI ((E-Mail Removed))
Department of Artificial Intelligence, Kyushu Institute of Technology

 
Reply With Quote
 
 
 
 
Rich Leblanc
Guest
Posts: n/a
 
      07-23-2010
Hidetoshi NAGAI wrote:
> From: Rich Leblanc <(E-Mail Removed)>
> Subject: Re: LoadError: no such file to load -- tk
> Date: Thu, 22 Jul 2010 09:47:35 +0900
> Message-ID: <(E-Mail Removed)>
>> > Probably, ext/tk/extconf.rb outputs some messages about searching and
>> > testing Tcl/Tk libraries (and {tcl,tk}Config.sh) during make steps.
>> > Please tell me the messages, too.

>>
>> On a FreeBSD 8.0 machine I went to \usr\ports\lang\tcl85 and as root
>> ran; make install clean. This installed tcl 8.5. On command line if I

>
> I need the messages at ext/tk step of "make".



Previous output was from Tcl. I found something useful at the end of
Ruby install:

====
Note that some of the standard libraries are provided as separate
ports since they require extra dependencies:

converters/ruby-iconv iconv module

databases/ruby-gdbm: GDBM module

x11-toolkits/ruby-tk: Tcl/Tk modules
japanese/ruby-tk: Tcl/Tk modules for Japanized Tcl/Tk

lang/ruby-mode.el: Emacs lisp modules

Install them as occasion demands.


I need to install x11-toolkits/ruby-tk. I will try now.
--
Posted via http://www.ruby-forum.com/.

 
Reply With Quote
 
 
 
 
Rich Leblanc
Guest
Posts: n/a
 
      07-23-2010
Rich Leblanc wrote:

>
> I need to install x11-toolkits/ruby-tk. I will try now.


I have success. Thank you Hidetoshi-san.
--
Posted via http://www.ruby-forum.com/.

 
Reply With Quote
 
Martin DeMello
Guest
Posts: n/a
 
      07-23-2010
On Fri, Jul 23, 2010 at 9:42 AM, Rich Leblanc <(E-Mail Removed)> wrote:
> Rich Leblanc wrote:
>
>>
>> I need to install x11-toolkits/ruby-tk. I will try now.

>
> I have success. Thank you Hidetoshi-san.


Could you write up a step-by-step set of instructions? Would be useful
for the next person.

martin

 
Reply With Quote
 
Rich Leblanc
Guest
Posts: n/a
 
      07-23-2010
Martin DeMello wrote:
> On Fri, Jul 23, 2010 at 9:42 AM, Rich Leblanc <(E-Mail Removed)> wrote:
>> Rich Leblanc wrote:
>>
>>>
>>> I need to install x11-toolkits/ruby-tk. I will try now.

>>
>> I have success. Thank you Hidetoshi-san.

>
> Could you write up a step-by-step set of instructions? Would be useful
> for the next person.
>
> martin



To install Ruby/Tk on FreeBSD 8.0 Unix I did these three commands to
install the three components (as root):

1. /usr/ports/lang/tcl85# make install clean #Installs
Tcl/tk
2. /usr/ports/lang/ruby18# make install clean #Installs Ruby
1.8
3. /usr/ports/x11-toolkits/ruby-tk# make install clean #Installs Ruby
tk "stuff" I think (extensions, libraries?).

Very easy, I just installed the three components and it worked, no
hacking required.
--
Posted via http://www.ruby-forum.com/.

 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Failed to install Rails No such file to load -- rubygems/security (LoadError) Zoong Pham Ruby 1 08-11-2005 01:39 PM
Ruby: No such file to load -- ubygems (LoadError) Brian Takita Ruby 7 05-24-2005 07:11 PM
[BUG] RubyGems: "No such file to load -- rubygems/builder" Erik Veenstra Ruby 4 02-04-2005 10:28 PM
Getting error: ..."in 'require': No such file to load -- socket (LoadError) Ruby Ruby Ruby 0 04-22-2004 12:34 PM



Advertisments